package com.nhnkcp.mobilePaySample.databinding;
import com.nhnkcp.mobilePaySample.R;
import com.nhnkcp.mobilePaySample.BR;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import android.view.View;
@SuppressWarnings("unchecked")
public class FragmentInputBindingImpl extends FragmentInputBinding  {

    @Nullable
    private static final androidx.databinding.ViewDataBinding.IncludedLayouts sIncludes;
    @Nullable
    private static final android.util.SparseIntArray sViewsWithIds;
    static {
        sIncludes = null;
        sViewsWithIds = new android.util.SparseIntArray();
        sViewsWithIds.put(R.id.layout_input, 1);
        sViewsWithIds.put(R.id.layout_paydo_id, 2);
        sViewsWithIds.put(R.id.text_paydo_id, 3);
        sViewsWithIds.put(R.id.edit_paydo_id, 4);
        sViewsWithIds.put(R.id.layout_business_no, 5);
        sViewsWithIds.put(R.id.text_business_no, 6);
        sViewsWithIds.put(R.id.edit_business_no, 7);
        sViewsWithIds.put(R.id.layout_tid, 8);
        sViewsWithIds.put(R.id.text_tid, 9);
        sViewsWithIds.put(R.id.edit_tid, 10);
        sViewsWithIds.put(R.id.layout_trade_no, 11);
        sViewsWithIds.put(R.id.text_trade_no, 12);
        sViewsWithIds.put(R.id.edit_trade_no, 13);
        sViewsWithIds.put(R.id.layout_cash, 14);
        sViewsWithIds.put(R.id.text_privacy, 15);
        sViewsWithIds.put(R.id.edit_privacy, 16);
        sViewsWithIds.put(R.id.layout_cash_type, 17);
        sViewsWithIds.put(R.id.text_cash_type, 18);
        sViewsWithIds.put(R.id.radioGroup_cash_type, 19);
        sViewsWithIds.put(R.id.radio_income, 20);
        sViewsWithIds.put(R.id.radio_spending, 21);
        sViewsWithIds.put(R.id.radio_self, 22);
        sViewsWithIds.put(R.id.layout_cancel_code, 23);
        sViewsWithIds.put(R.id.text_cancel_code, 24);
        sViewsWithIds.put(R.id.radioGroup_cancel_code, 25);
        sViewsWithIds.put(R.id.radio_trade_cancel, 26);
        sViewsWithIds.put(R.id.radio_error_issue, 27);
        sViewsWithIds.put(R.id.radio_etc, 28);
        sViewsWithIds.put(R.id.layout_payment, 29);
        sViewsWithIds.put(R.id.layout_amount, 30);
        sViewsWithIds.put(R.id.text_amount, 31);
        sViewsWithIds.put(R.id.edit_amount, 32);
        sViewsWithIds.put(R.id.layout_tax, 33);
        sViewsWithIds.put(R.id.text_tax, 34);
        sViewsWithIds.put(R.id.edit_tax, 35);
        sViewsWithIds.put(R.id.layout_dutyFree, 36);
        sViewsWithIds.put(R.id.text_dutyFree, 37);
        sViewsWithIds.put(R.id.edit_dutyFree, 38);
        sViewsWithIds.put(R.id.layout_tip, 39);
        sViewsWithIds.put(R.id.text_tip, 40);
        sViewsWithIds.put(R.id.edit_tip, 41);
        sViewsWithIds.put(R.id.layout_installment, 42);
        sViewsWithIds.put(R.id.text_installment, 43);
        sViewsWithIds.put(R.id.edit_installment, 44);
        sViewsWithIds.put(R.id.layout_cancel, 45);
        sViewsWithIds.put(R.id.layout_trade_date, 46);
        sViewsWithIds.put(R.id.text_trade_date, 47);
        sViewsWithIds.put(R.id.edit_trade_date, 48);
        sViewsWithIds.put(R.id.layout_approval_no, 49);
        sViewsWithIds.put(R.id.text_approval_no, 50);
        sViewsWithIds.put(R.id.edit_approval_no, 51);
        sViewsWithIds.put(R.id.layout_print, 52);
        sViewsWithIds.put(R.id.layout_print_data, 53);
        sViewsWithIds.put(R.id.text_print_data, 54);
        sViewsWithIds.put(R.id.edit_print_data, 55);
        sViewsWithIds.put(R.id.layout_option, 56);
        sViewsWithIds.put(R.id.text_option, 57);
        sViewsWithIds.put(R.id.checkbox_required_print, 58);
        sViewsWithIds.put(R.id.checkbox_auto_exit, 59);
        sViewsWithIds.put(R.id.layout_verification, 60);
        sViewsWithIds.put(R.id.layout_verification_code, 61);
        sViewsWithIds.put(R.id.text_verification_code, 62);
        sViewsWithIds.put(R.id.edit_verification_code, 63);
        sViewsWithIds.put(R.id.button_create, 64);
        sViewsWithIds.put(R.id.button_request, 65);
    }
    // views
    @NonNull
    private final androidx.constraintlayout.widget.ConstraintLayout mboundView0;
    // variables
    // values
    // listeners
    // Inverse Binding Event Handlers

    public FragmentInputBindingImpl(@Nullable androidx.databinding.DataBindingComponent bindingComponent, @NonNull View root) {
        this(bindingComponent, root, mapBindings(bindingComponent, root, 66, sIncludes, sViewsWithIds));
    }
    private FragmentInputBindingImpl(androidx.databinding.DataBindingComponent bindingComponent, View root, Object[] bindings) {
        super(bindingComponent, root, 0
            , (android.widget.Button) bindings[64]
            , (android.widget.Button) bindings[65]
            , (android.widget.CheckBox) bindings[59]
            , (android.widget.CheckBox) bindings[58]
            , (android.widget.EditText) bindings[32]
            , (android.widget.EditText) bindings[51]
            , (android.widget.EditText) bindings[7]
            , (android.widget.EditText) bindings[38]
            , (android.widget.EditText) bindings[44]
            , (android.widget.EditText) bindings[4]
            , (android.widget.EditText) bindings[55]
            , (android.widget.EditText) bindings[16]
            , (android.widget.EditText) bindings[35]
            , (android.widget.EditText) bindings[10]
            , (android.widget.EditText) bindings[41]
            , (android.widget.EditText) bindings[48]
            , (android.widget.EditText) bindings[13]
            , (android.widget.EditText) bindings[63]
            , (android.widget.LinearLayout) bindings[30]
            , (android.widget.LinearLayout) bindings[49]
            , (android.widget.LinearLayout) bindings[5]
            , (android.widget.LinearLayout) bindings[45]
            , (android.widget.LinearLayout) bindings[23]
            , (android.widget.LinearLayout) bindings[14]
            , (android.widget.LinearLayout) bindings[17]
            , (android.widget.LinearLayout) bindings[36]
            , (android.widget.LinearLayout) bindings[1]
            , (android.widget.LinearLayout) bindings[42]
            , (android.widget.LinearLayout) bindings[56]
            , (android.widget.LinearLayout) bindings[2]
            , (android.widget.LinearLayout) bindings[29]
            , (android.widget.LinearLayout) bindings[52]
            , (android.widget.LinearLayout) bindings[53]
            , (android.widget.LinearLayout) bindings[33]
            , (android.widget.LinearLayout) bindings[8]
            , (android.widget.LinearLayout) bindings[39]
            , (android.widget.LinearLayout) bindings[46]
            , (android.widget.LinearLayout) bindings[11]
            , (android.widget.LinearLayout) bindings[60]
            , (androidx.constraintlayout.widget.ConstraintLayout) bindings[61]
            , (android.widget.RadioButton) bindings[27]
            , (android.widget.RadioButton) bindings[28]
            , (android.widget.RadioGroup) bindings[25]
            , (android.widget.RadioGroup) bindings[19]
            , (android.widget.RadioButton) bindings[20]
            , (android.widget.RadioButton) bindings[22]
            , (android.widget.RadioButton) bindings[21]
            , (android.widget.RadioButton) bindings[26]
            , (android.widget.TextView) bindings[31]
            , (android.widget.TextView) bindings[50]
            , (android.widget.TextView) bindings[6]
            , (android.widget.TextView) bindings[24]
            , (android.widget.TextView) bindings[18]
            , (android.widget.TextView) bindings[37]
            , (android.widget.TextView) bindings[43]
            , (android.widget.TextView) bindings[57]
            , (android.widget.TextView) bindings[3]
            , (android.widget.TextView) bindings[54]
            , (android.widget.TextView) bindings[15]
            , (android.widget.TextView) bindings[34]
            , (android.widget.TextView) bindings[9]
            , (android.widget.TextView) bindings[40]
            , (android.widget.TextView) bindings[47]
            , (android.widget.TextView) bindings[12]
            , (android.widget.TextView) bindings[62]
            );
        this.mboundView0 = (androidx.constraintlayout.widget.ConstraintLayout) bindings[0];
        this.mboundView0.setTag(null);
        setRootTag(root);
        // listeners
        invalidateAll();
    }

    @Override
    public void invalidateAll() {
        synchronized(this) {
                mDirtyFlags = 0x1L;
        }
        requestRebind();
    }

    @Override
    public boolean hasPendingBindings() {
        synchronized(this) {
            if (mDirtyFlags != 0) {
                return true;
            }
        }
        return false;
    }

    @Override
    public boolean setVariable(int variableId, @Nullable Object variable)  {
        boolean variableSet = true;
            return variableSet;
    }

    @Override
    protected boolean onFieldChange(int localFieldId, Object object, int fieldId) {
        switch (localFieldId) {
        }
        return false;
    }

    @Override
    protected void executeBindings() {
        long dirtyFlags = 0;
        synchronized(this) {
            dirtyFlags = mDirtyFlags;
            mDirtyFlags = 0;
        }
        // batch finished
    }
    // Listener Stub Implementations
    // callback impls
    // dirty flag
    private  long mDirtyFlags = 0xffffffffffffffffL;
    /* flag mapping
        flag 0 (0x1L): null
    flag mapping end*/
    //end
}